| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::PlaneWarperGpu Class Reference
Images stitching » Images Warping

`#include "warpers.hpp"`

Inheritance diagram for cv::detail::PlaneWarperGpu:

## Public Member Functions
| PlaneWarperGpu (float scale=1.f)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)
| Builds the projection maps according to the given camera data. More...
Rect | buildMaps (Size src_size, InputArray K, InputArray R, InputArray T, OutputArray xmap, OutputArray ymap)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, cuda::GpuMat &xmap, cuda::GpuMat &ymap)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, InputArray T, cuda::GpuMat &xmap, cuda::GpuMat &ymap)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)
| Projects the image. More...
Point | warp (InputArray src, InputArray K, InputArray R, InputArray T, int interp_mode, int border_mode, OutputArray dst)
Point | warp (const cuda::GpuMat &src, InputArray K, InputArray R, int interp_mode, int border_mode, cuda::GpuMat &dst)
Point | warp (const cuda::GpuMat &src, InputArray K, InputArray R, InputArray T, int interp_mode, int border_mode, cuda::GpuMat &dst)
Public Member Functions inherited from cv::detail::PlaneWarper
| PlaneWarper (float scale=1.f)
| Construct an instance of the plane warper class. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R)
| Projects the image point. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R, InputArray T)
Rect | warpRoi (Size src_size, InputArray K, InputArray R)
Rect | warpRoi (Size src_size, InputArray K, InputArray R, InputArray T)
Public Member Functions inherited from cv::detail::RotationWarperBase< PlaneProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)
| Builds the projection maps according to the given camera data. More...
float | getScale () const
void | setScale (float val)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst)
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R)
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R)
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::PlaneWarper
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br)
Protected Member Functions inherited from cv::detail::RotationWarperBase< PlaneProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)
Protected Attributes inherited from cv::detail::RotationWarperBase< PlaneProjector >
PlaneProjector | projector_

## Constructor & Destructor Documentation

## § PlaneWarperGpu()

cv::detail::PlaneWarperGpu::PlaneWarperGpu | ( | float | scale = `1.f` | ) |
| inline

## Member Function Documentation

## § buildMaps() [1/4]

Rect cv::detail::PlaneWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| inline virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Reimplemented from cv::detail::PlaneWarper.

## § buildMaps() [2/4]

Rect cv::detail::PlaneWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| inline virtual

Reimplemented from cv::detail::PlaneWarper.

## § buildMaps() [3/4]

Rect cv::detail::PlaneWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | cuda::GpuMat & | xmap,
|  | cuda::GpuMat & | ymap
| ) |  |

## § buildMaps() [4/4]

Rect cv::detail::PlaneWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T,
|  | cuda::GpuMat & | xmap,
|  | cuda::GpuMat & | ymap
| ) |  |

## § warp() [1/4]

Point cv::detail::PlaneWarperGpu::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| inline virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Reimplemented from cv::detail::PlaneWarper.

## § warp() [2/4]

Point cv::detail::PlaneWarperGpu::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| inline virtual

Reimplemented from cv::detail::PlaneWarper.

## § warp() [3/4]

Point cv::detail::PlaneWarperGpu::warp | ( | const cuda::GpuMat & | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | cuda::GpuMat & | dst
| ) |  |

## § warp() [4/4]

Point cv::detail::PlaneWarperGpu::warp | ( | const cuda::GpuMat & | src,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T,
|  | int | interp_mode,
|  | int | border_mode,
|  | cuda::GpuMat & | dst
| ) |  |

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/warpers.hpp